package com.steerinfo.baseinfo.meterbasespotinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="计量点配置表")
public class MeterBaseSpotInfo implements IBasePO<String> {
    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=false)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=false)
    private String spotTypeName;

    /**
     * 计量点状态编号(SPOT_STATE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点状态编号",required=false)
    private String spotStateNo;

    /**
     * 计量点状态名称(SPOT_STATE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点状态名称",required=false)
    private String spotStateName;

    /**
     * 硬盘录像机IP(VIDEO_IP,VARCHAR,100)
     */
    @ApiModelProperty(value="硬盘录像机IP",required=false)
    private String videoIp;

    /**
     * 硬盘录像机端口(VIDEO_PORT,VARCHAR,10)
     */
    @ApiModelProperty(value="硬盘录像机端口",required=false)
    private String videoPort;

    /**
     * 硬盘录像机用户名(VIDEO_USER_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="硬盘录像机用户名",required=false)
    private String videoUserName;

    /**
     * 硬盘录像机密码(VIDEO_PASSWORD,VARCHAR,20)
     */
    @ApiModelProperty(value="硬盘录像机密码",required=false)
    private String videoPassword;

    /**
     * LED屏IP(LED_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="LED屏IP",required=false)
    private String ledIp;

    /**
     * 打印机IP(PRINTER_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="打印机IP",required=false)
    private String printerIp;

    /**
     * 打印机名称(PRINTER_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="打印机名称",required=false)
    private String printerName;

    /**
     * 总纸张(COUNT_NUM,DECIMAL,4)
     */
    @ApiModelProperty(value="总纸张",required=false)
    private Short countNum;

    /**
     * 已用纸张(USED_NUM,DECIMAL,4)
     */
    @ApiModelProperty(value="已用纸张",required=false)
    private Short usedNum;

    /**
     * 接管终端IP(CONTROL_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="接管终端IP",required=false)
    private String controlIp;

    /**
     * 有效标志（0：无效；1：有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="有效标志（0：无效；1：有效）",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 触摸屏ip(FLAT_COMPUTER_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="触摸屏ip",required=false)
    private String flatComputerIp;

    /**
     * 对应mes计量点（用于皮带秤）(MES_SPOT_ID,VARCHAR,6)
     */
    @ApiModelProperty(value="对应mes计量点（用于皮带秤）",required=false)
    private String mesSpotId;

    /**
     * 计量点所属区域编码(基础信息：001047)(SPOT_AREA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点所属区域编码(基础信息：001047)",required=false)
    private String spotAreaNo;

    /**
     * 计量点所属区域名称(基础信息：001047)(SPOT_AREA_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点所属区域名称(基础信息：001047)",required=false)
    private String spotAreaName;

    /**
     * 是否允许使用期限皮重(0不可，1可以)(ALLOWED_TARE_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用期限皮重(0不可，1可以)",required=false)
    private String allowedTareWeight;

    /**
     * 扫码是否需要验证（0：不需要；1：需要）(SCAN_REQUIRE_VALID,VARCHAR,1)
     */
    @ApiModelProperty(value="扫码是否需要验证（0：不需要；1：需要）",required=false)
    private String scanRequireValid;

    /**
     * MOXA卡IP(MOXA_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="MOXA卡IP",required=false)
    private String moxaIp;

    /**
     * PLC地址IP(PLC_IP,VARCHAR,20)
     */
    @ApiModelProperty(value="PLC地址IP",required=false)
    private String plcIp;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.baseSpotNo;
    }

    @Override
    public void setId(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public String getSpotStateNo() {
        return spotStateNo;
    }

    public void setSpotStateNo(String spotStateNo) {
        this.spotStateNo = spotStateNo == null ? null : spotStateNo.trim();
    }

    public String getSpotStateName() {
        return spotStateName;
    }

    public void setSpotStateName(String spotStateName) {
        this.spotStateName = spotStateName == null ? null : spotStateName.trim();
    }

    public String getVideoIp() {
        return videoIp;
    }

    public void setVideoIp(String videoIp) {
        this.videoIp = videoIp == null ? null : videoIp.trim();
    }

    public String getVideoPort() {
        return videoPort;
    }

    public void setVideoPort(String videoPort) {
        this.videoPort = videoPort == null ? null : videoPort.trim();
    }

    public String getVideoUserName() {
        return videoUserName;
    }

    public void setVideoUserName(String videoUserName) {
        this.videoUserName = videoUserName == null ? null : videoUserName.trim();
    }

    public String getVideoPassword() {
        return videoPassword;
    }

    public void setVideoPassword(String videoPassword) {
        this.videoPassword = videoPassword == null ? null : videoPassword.trim();
    }

    public String getLedIp() {
        return ledIp;
    }

    public void setLedIp(String ledIp) {
        this.ledIp = ledIp == null ? null : ledIp.trim();
    }

    public String getPrinterIp() {
        return printerIp;
    }

    public void setPrinterIp(String printerIp) {
        this.printerIp = printerIp == null ? null : printerIp.trim();
    }

    public String getPrinterName() {
        return printerName;
    }

    public void setPrinterName(String printerName) {
        this.printerName = printerName == null ? null : printerName.trim();
    }

    public Short getCountNum() {
        return countNum;
    }

    public void setCountNum(Short countNum) {
        this.countNum = countNum;
    }

    public Short getUsedNum() {
        return usedNum;
    }

    public void setUsedNum(Short usedNum) {
        this.usedNum = usedNum;
    }

    public String getControlIp() {
        return controlIp;
    }

    public void setControlIp(String controlIp) {
        this.controlIp = controlIp == null ? null : controlIp.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getFlatComputerIp() {
        return flatComputerIp;
    }

    public void setFlatComputerIp(String flatComputerIp) {
        this.flatComputerIp = flatComputerIp == null ? null : flatComputerIp.trim();
    }

    public String getMesSpotId() {
        return mesSpotId;
    }

    public void setMesSpotId(String mesSpotId) {
        this.mesSpotId = mesSpotId == null ? null : mesSpotId.trim();
    }

    public String getSpotAreaNo() {
        return spotAreaNo;
    }

    public void setSpotAreaNo(String spotAreaNo) {
        this.spotAreaNo = spotAreaNo == null ? null : spotAreaNo.trim();
    }

    public String getSpotAreaName() {
        return spotAreaName;
    }

    public void setSpotAreaName(String spotAreaName) {
        this.spotAreaName = spotAreaName == null ? null : spotAreaName.trim();
    }

    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight == null ? null : allowedTareWeight.trim();
    }

    public String getScanRequireValid() {
        return scanRequireValid;
    }

    public void setScanRequireValid(String scanRequireValid) {
        this.scanRequireValid = scanRequireValid == null ? null : scanRequireValid.trim();
    }

    public String getMoxaIp() {
        return moxaIp;
    }

    public void setMoxaIp(String moxaIp) {
        this.moxaIp = moxaIp == null ? null : moxaIp.trim();
    }

    public String getPlcIp() {
        return plcIp;
    }

    public void setPlcIp(String plcIp) {
        this.plcIp = plcIp == null ? null : plcIp.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", spotStateNo=").append(spotStateNo);
        sb.append(", spotStateName=").append(spotStateName);
        sb.append(", videoIp=").append(videoIp);
        sb.append(", videoPort=").append(videoPort);
        sb.append(", videoUserName=").append(videoUserName);
        sb.append(", videoPassword=").append(videoPassword);
        sb.append(", ledIp=").append(ledIp);
        sb.append(", printerIp=").append(printerIp);
        sb.append(", printerName=").append(printerName);
        sb.append(", countNum=").append(countNum);
        sb.append(", usedNum=").append(usedNum);
        sb.append(", controlIp=").append(controlIp);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", flatComputerIp=").append(flatComputerIp);
        sb.append(", mesSpotId=").append(mesSpotId);
        sb.append(", spotAreaNo=").append(spotAreaNo);
        sb.append(", spotAreaName=").append(spotAreaName);
        sb.append(", allowedTareWeight=").append(allowedTareWeight);
        sb.append(", scanRequireValid=").append(scanRequireValid);
        sb.append(", moxaIp=").append(moxaIp);
        sb.append(", plcIp=").append(plcIp);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}